{
  config,
  lib,
  pkgs,
  ...
}:

{
  imports = [ ];

  config = {
    environment.loginShellInit = lib.mkIf (!config.me.buildingIso) ''
      doas iw dev wlan0 set power_save off
    '';

    # Enable debug logging for ath12k wifi card.
    boot.kernelParams = [
      "ath12k.debug_mask=0xffffffff"
    ];
  };
}
